Package org.eclipse.graphiti.ui.internal.parts.directedit

## Class GFDirectEditManager

- java.lang.Object
- - org.eclipse.gef.tools.DirectEditManager
  - - org.eclipse.graphiti.ui.internal.parts.directedit.GFDirectEditManager

All Implemented Interfaces:
  `IDirectEditHolder`

    public class GFDirectEditManager
    extends org.eclipse.gef.tools.DirectEditManager
    implements IDirectEditHolder

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.tools.DirectEditManager

`org.eclipse.gef.tools.DirectEditManager.DirectEditBorder`

### Constructor Summary

Constructors
`GFDirectEditManager​(ShapeEditPart part, TextCellLocator cellEditorLocator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `bringDown()`
`protected org.eclipse.jface.viewers.CellEditor` `createCellEditorOn​(org.eclipse.swt.widgets.Composite composite)`
`protected org.eclipse.gef.requests.DirectEditRequest` `createDirectEditRequest()`
`IDirectEditingContext` `getDirectEditingContext()`
`IDirectEditingFeature` `getDirectEditingFeature()`
`protected void` `initCellEditor()`
`boolean` `isSimpleMode()`
`void` `setDirectEditingContext​(IDirectEditingContext directEditingContext)`
`void` `setDirectEditingFeature​(IDirectEditingFeature directEditingFeature)`
`void` `show()`

### Methods inherited from class org.eclipse.gef.tools.DirectEditManager

`commit, eraseFeedback, getCellEditor, getCellEditorFrame, getDirectEditFeature, getDirectEditRequest, getEditPart, getLocator, handleValueChanged, hookListeners, isDirty, setCellEditor, setDirty, setEditPart, setLocator, showFeedback, unhookListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFDirectEditManager

    public GFDirectEditManager​(ShapeEditPart part,
                               TextCellLocator cellEditorLocator)

### Method Detail

#### getDirectEditingContext

    public IDirectEditingContext getDirectEditingContext()

Specified by:
  `getDirectEditingContext` in interface `IDirectEditHolder`

#### getDirectEditingFeature

    public IDirectEditingFeature getDirectEditingFeature()

Specified by:
  `getDirectEditingFeature` in interface `IDirectEditHolder`

#### setDirectEditingContext

    public void setDirectEditingContext​(IDirectEditingContext directEditingContext)

#### setDirectEditingFeature

    public void setDirectEditingFeature​(IDirectEditingFeature directEditingFeature)

#### isSimpleMode

    public boolean isSimpleMode()

Specified by:
  `isSimpleMode` in interface `IDirectEditHolder`

#### createCellEditorOn

    protected org.eclipse.jface.viewers.CellEditor createCellEditorOn​(org.eclipse.swt.widgets.Composite composite)

Overrides:
  `createCellEditorOn` in class `org.eclipse.gef.tools.DirectEditManager`

#### createDirectEditRequest

    protected org.eclipse.gef.requests.DirectEditRequest createDirectEditRequest()

Overrides:
  `createDirectEditRequest` in class `org.eclipse.gef.tools.DirectEditManager`

#### initCellEditor

    protected void initCellEditor()

Specified by:
  `initCellEditor` in class `org.eclipse.gef.tools.DirectEditManager`

#### bringDown

    protected void bringDown()

Overrides:
  `bringDown` in class `org.eclipse.gef.tools.DirectEditManager`

#### show

    public void show()

Overrides:
  `show` in class `org.eclipse.gef.tools.DirectEditManager`